## Random Samples and Permutations

## Usage

    sample(x, size, replace=FALSE, prob)

## Description

`sample` takes a sample of the specified size from the elements of `x` using either with or without replacement sampling according to the value of `replace`.

By default `size` is equal to `length(x)` so that `sample(x)` generates a random permutation of the elements of `x`.

If `x` has length 1, sampling takes place from `1:x`.

The optional `prob` agrument can be used to give a vector of probabilities of obtaining the elements of the vector being sampled.

## Examples

    x <- 1:12
    # a random permutation
    sample(x)
    # bootstrap sampling
    sample(x,replace=TRUE)

    # 100 Bernoulli trials
    sample(c(0,1), 100, replace = TRUE)

[Package Contents]